org.apache.cassandra.io.util

## Class DataIntegrityMetadata.ChecksumValidator

- java.lang.Object
- - org.apache.cassandra.io.util.DataIntegrityMetadata.ChecksumValidator

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

Enclosing class:
  DataIntegrityMetadata

    public static class DataIntegrityMetadata.ChecksumValidator
    extends java.lang.Object
    implements java.io.Closeable

### Field Summary

Fields
`int` `chunkSize`

### Constructor Summary

Constructors
Constructor and Description
`ChecksumValidator(java.util.zip.Checksum checksum, RandomAccessReader reader, java.lang.String dataFilename)`
`ChecksumValidator(Descriptor descriptor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `chunkStart(long offset)`
`void` `close()`
`void` `seek(long offset)`
`void` `validate(byte[] bytes, int start, int end)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### chunkSize

    public final int chunkSize

### Constructor Detail

#### ChecksumValidator

    public ChecksumValidator(Descriptor descriptor)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### ChecksumValidator

    public ChecksumValidator(java.util.zip.Checksum checksum,
                             RandomAccessReader reader,
                             java.lang.String dataFilename)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### seek

    public void seek(long offset)

#### chunkStart

    public long chunkStart(long offset)

#### validate

    public void validate(byte[] bytes,
                         int start,
                         int end)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`